@article{Verveer:98,
author = {Peter J. Verveer and Thomas M. Jovin},
journal = {J. Opt. Soc. Am. A},
keywords = {Deconvolution; Image reconstruction-restoration; Inverse problems; Three-dimensional image processing; Confocal microscopy; Fluorescence microscopy; Biological imaging; Confocal laser scanning microscopy; Fluorescence microscopy; Image restoration; Refractive index; Three dimensional imaging},
number = {5},
pages = {1077--1083},
publisher = {OSA},
title = {Image restoration based on Good's roughness penalty with application to fluorescence microscopy},
volume = {15},
month = {May},
year = {1998},
url = {http://josaa.osa.org/abstract.cfm?URI=josaa-15-5-1077},
doi = {10.1364/JOSAA.15.001077},
abstract = {We present efficient algorithms for image restoration by means of Good's roughness penalty. We assume Gaussian or Poisson statistics for the noise and derive an algorithm for each case. Performance is tested by simulated three-dimensional imaging with a fluorescence confocal laser scanning microscope. Results are compared with those for algorithms that use Gaussian or entropy penalty terms, which we derived previously \[J. Opt. Soc. Am. A14, 1696 (1997)\]. The algorithms based on Good's roughness yield superior results. An example is given of the restoration of an image of a biological specimen.},
}


@book{Mertz:2019,
    place={Cambridge},
    edition={2},
    title={Introduction to Optical Microscopy},
    DOI={10.1017/9781108552660},
    publisher={Cambridge University Press},
    author={Mertz, Jerome},
    year={2019}
}

@article{Richardson:72,
author = {William Hadley Richardson},
journal = {J. Opt. Soc. Am.},
keywords = {Arrays; Deconvolution; Image processing; Point spread function},
number = {1},
pages = {55--59},
publisher = {OSA},
title = {Bayesian-Based Iterative Method of Image Restoration$\ast$},
volume = {62},
month = {Jan},
year = {1972},
url = {http://www.osapublishing.org/abstract.cfm?URI=josa-62-1-55},
doi = {10.1364/JOSA.62.000055},
abstract = {An iterative method of restoring degraded images was developed by treating images, point spread functions, and degraded images as probability-frequency functions and by applying Bayes's theorem. The method functions effectively in the presence of noise and is adaptable to computer operation.},
}

@ARTICLE{Lucy:74,
       author = {{Lucy}, L.~B.},
        title = "{An iterative technique for the rectification of observed distributions}",
      journal = {\aj},
         year = 1974,
        month = jun,
       volume = {79},
        pages = {745},
          doi = {10.1086/111605},
       adsurl = {https://ui.adsabs.harvard.edu/abs/1974AJ.....79..745L},
      adsnote = {Provided by the SAO/NASA Astrophysics Data System}
}

@article{Good:71,
 ISSN = {00063444},
 URL = {http://www.jstor.org/stable/2334515},
 abstract = {Given a number of observations x1, ..., xN, a nonparametric method is suggested for estimating the entire probability density curve. The method is to subtract a roughness penalty from the log likelihood, where the roughness penalty is a certain functional of the assumed density function f. Those used are linear combinations of ∫ γ'2 dx and ∫ γ"2 dx, where γ = √ f. The method appears to be consistent under wide conditions, although consistent methods can be rough. Numerical examples are given and show that for certain values of the coefficient in this linear expression the density function turns out to be very smooth even when N is small. Multivariate extensions are proposed, including one to distributions having some continuous and some discrete components, but numerical examples of these have not been tried. Some of the techniques are borrowed from quantum mechanics and tensor calculus.},
 author = {I. J. Good and R. A. Gaskins},
 journal = {Biometrika},
 number = {2},
 pages = {255--277},
 publisher = {[Oxford University Press, Biometrika Trust]},
 title = {Nonparametric Roughness Penalties for Probability Densities},
 volume = {58},
 year = {1971}
}
